Bug 179326 - console device ownership does not get set at all
console device ownership does not get set at all
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pam (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-30 08:38 EST by Dominik 'Rathann' Mierzejewski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 07:11:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2006-01-30 08:38:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.8) Gecko/20060126 Fedora/1.5-5 Firefox/1.5

Description of problem:
In FC4 (pam-0.79-9.6), the owner for devices listed in /etc/security/console.perms.d/50-default.perms get set to the user who logs in at the console. This doesn't happen in FC5 test 2 (pam-0.99.2.1-3).

Version-Release number of selected component (if applicable):
pam-0.99.2.1-3

How reproducible:
Always

Steps to Reproduce:
1. log in either via virtual console terminal or gdm
2. ls -l /dev/snd/*

  

Actual Results:  % ls -l /dev/snd/*
crw------- 1 root root 116, 10 Jan 30 13:49 /dev/snd/controlC0
crw------- 1 root root 116,  9 Jan 30 13:49 /dev/snd/pcmC0D0c
crw------- 1 root root 116,  8 Jan 30 13:49 /dev/snd/pcmC0D0p
crw------- 1 root root 116,  7 Jan 30 13:49 /dev/snd/pcmC0D1c
crw------- 1 root root 116,  6 Jan 30 13:49 /dev/snd/pcmC0D2c
crw------- 1 root root 116,  5 Jan 30 13:49 /dev/snd/pcmC0D3c
crw------- 1 root root 116,  4 Jan 30 13:49 /dev/snd/pcmC0D4p
crw------- 1 root root 116,  3 Jan 30 13:49 /dev/snd/seq
crw------- 1 root root 116,  2 Jan 30 13:49 /dev/snd/timer


Expected Results:  % ls -l /dev/snd/*
crw------- 1 rathann root 116, 10 Jan 30 13:49 /dev/snd/controlC0
crw------- 1 rathann root 116,  9 Jan 30 13:49 /dev/snd/pcmC0D0c
crw------- 1 rathann root 116,  8 Jan 30 13:49 /dev/snd/pcmC0D0p
crw------- 1 rathann root 116,  7 Jan 30 13:49 /dev/snd/pcmC0D1c
crw------- 1 rathann root 116,  6 Jan 30 13:49 /dev/snd/pcmC0D2c
crw------- 1 rathann root 116,  5 Jan 30 13:49 /dev/snd/pcmC0D3c
crw------- 1 rathann root 116,  4 Jan 30 13:49 /dev/snd/pcmC0D4p
crw------- 1 rathann root 116,  3 Jan 30 13:49 /dev/snd/seq
crw------- 1 rathann root 116,  2 Jan 30 13:49 /dev/snd/timer


Additional info:

There's nothing about this in RELEASE-NOTES for FC5 test2, so I assume it's a bug.
Comment 1 Tomas Mraz 2006-01-30 11:16:55 EST
Do you have SELinux enabled? Are there any audit messages in /var/log/audit.log?

Are there any files in /var/run/console?

What happens if you run pam_console_apply as root?
Comment 2 Dominik 'Rathann' Mierzejewski 2006-01-31 02:41:31 EST
SELinux is disabled.
Nothing interesting in /var/log/audit/audit.log:
time->Mon Jan 30 10:53:42 2006
type=USER_AUTH msg=audit(1138614822.547:2618): user pid=20800 uid=0
auid=4294967295 msg='PAM: authentication acct=rathann :
exe="/usr/sbin/gdm-binary" (hostname=?, addr=?, terminal=:0 res=success)'
----
time->Mon Jan 30 10:53:42 2006
type=USER_ACCT msg=audit(1138614822.559:2619): user pid=20800 uid=0
auid=4294967295 msg='PAM: accounting acct=rathann : exe="/usr/sbin/gdm-binary"
(hostname=?, addr=?, terminal=:0 res=success)'
----
time->Mon Jan 30 10:53:42 2006
type=CRED_ACQ msg=audit(1138614822.627:2620): user pid=20800 uid=0
auid=4294967295 msg='PAM: setcred acct=rathann : exe="/usr/sbin/gdm-binary"
(hostname=?, addr=?, terminal=:0 res=success)'
----
time->Mon Jan 30 10:53:42 2006
type=USER_START msg=audit(1138614822.631:2621): user pid=20800 uid=0
auid=4294967295 msg='PAM: session open acct=rathann : exe="/usr/sbin/gdm-binary"
(hostname=?, addr=?, terminal=:0 res=success)'
----
time->Mon Jan 30 10:53:42 2006
type=USER_LOGIN msg=audit(1138614822.635:2622): user pid=20800 uid=0
auid=4294967295 msg='uid=5242: exe="/usr/sbin/gdm-binary" (hostname=ws-gradcol1,
addr=192.168.1.26, terminal=:0 res=success)'
----
time->Mon Jan 30 10:54:02 2006
type=USER_AUTH msg=audit(1138614842.839:2623): user pid=21048 uid=0
auid=4294967295 msg='PAM: authentication acct=rathann : exe="/usr/bin/sudo"
(hostname=?, addr=?, terminal=pts/1 res=success)'
----
time->Mon Jan 30 10:54:02 2006
type=USER_ACCT msg=audit(1138614842.843:2624): user pid=21048 uid=0
auid=4294967295 msg='PAM: accounting acct=rathann : exe="/usr/bin/sudo"
(hostname=?, addr=?, terminal=pts/1 res=success)'
----
The last one is me using sudo to chown the needed devices.
# ls -l /var/run/console/
total 8
-rw------- 1 root icm-staff 7 Jan 31 06:43 console.lock
-rw------- 1 root icm-staff 1 Jan 31 06:43 rathann

pam_console_apply seems to work as expected.
Comment 3 Tomas Mraz 2006-01-31 04:10:05 EST
Strange. What contains the /etc/security/console.handlers file? Also are there
any messages in /var/log/secure when you try to log in?
Comment 4 Dominik 'Rathann' Mierzejewski 2006-02-10 07:11:40 EST
console.handlers was the problem. It seems that I modified it some time ago and
forgot about it. I think it was because syslog was unable to output to
/dev/tty12. Nevertheless, this is not a bug, so sorry for bothering you for nothing.

Note You need to log in before you can comment on or make changes to this bug.